## ros-rolling-rcss3d-agent 0.0.4

=== debian/changelog ===
ros-rolling-rcss3d-agent (0.0.4-1focal) focal; urgency=high

  * adapt to new changes in cpplint about using a leading "./" in include statements
  * Contributors: ijnek

 -- kenji <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 15:00:00 -0000

ros-rolling-rcss3d-agent (0.0.3-1focal) focal; urgency=high

  * follow guidelines for ament library creation
  * move all non public hpp files into src directory
  * separate rcss3d_agent_node into separate package
  * separate JointPos and JointVel for perceptor and effector
  * add subscriptions for joints, beam and say
  * large refactor to purify rcss3d_agent to be a layer between rcssserver3d and ros2
  * update package description
  * copied files across from https://gitlab.com/ijnek/ros2_rcss3d/-/tree/kenji-rolling
  * add sexpresso submodule
  * Contributors: ijnek

 -- kenji <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 15:00:00 -0000
